# Foo Class Reference

This class does blah. More...

`#include <aclass.h>`

List of all members.

## Public Types

enum | blah_blah { BAZ, BAZ2 }

## Public Member Functions

| Foo (int blah)
| The constructor.
| GetBlah (void) const
| Gets the current value of blah.

## Private Member Functions

| Foo (int &in, int &out, int &inout)
| Testing the in/out parameter stuff.

## Private Attributes

int | _blah
| This is a measure of our blahness.

## Detailed Description

This class does blah.

Definition at line 13 of file aclass.h.

## Member Enumeration Documentation

enum Foo::blah_blah

Enumerator:

  BAZ |
  BAZ2 |

Definition at line 30 of file aclass.h.

    00031         {
    00032             BAZ,
    00033             BAZ2,
    00034         };

## Constructor & Destructor Documentation

Foo::Foo | ( | int | blah | ) | `[inline]`

The constructor.

Parameters:

  | blah | Some kind of fish.

Definition at line 21 of file aclass.h.

    00022         : _blah(blah)
    00023         {}

Foo::Foo | ( | int & | in,
|  | int & | out,
|  | int & | inout
| ) | `[inline, private]`

Testing the in/out parameter stuff.

Parameters:

  `[in]` | in | An "in" parameter
  `[out]` | out | An "out" parameter
  `[in,out]` | inout | An "inout" parameter

Definition at line 45 of file aclass.h.

    00045 { out = in + inout; }

## Member Function Documentation

Foo::GetBlah | ( | void |  | ) | const`[inline]`

Gets the current value of blah.

Definition at line 28 of file aclass.h.

    00028 { return _blah; }

## Member Data Documentation

int Foo::_blah `[private]`

| This is a measure of our blahness. Definition at line 48 of file aclass.h.

The documentation for this class was generated from the following file:

- aclass.h